<?php
  ///////////////////////////////////////////////////
  // Система учёта посещаемости сайта - PowerCounter
  // 2003-2006 (C) IT-студия SoftTime (http://www.softtime.ru)
  // Поддержка: http://www.softtime.ru/forum/
  // Симдянов И.В. (simdyanov@softtime.ru)
  // Кузнецов М.В. (kuznetsov@softtime.ru)
  // Голышев С.В. (softtime@softtime.ru)
  ///////////////////////////////////////////////////
  // Выставляем уровень обработки ошибок (http://www.softtime.ru/info/articlephp.php?id_article=23)
  Error_Reporting(E_ALL & ~E_NOTICE); 
?>
<html>
<head>
<?php
// Скрипт предоставляет информацию о IP-адресе
if ($ip!="")
{
  ?>
  <title>IP information</title>
  </head>
  <body>
  <?php
  $sock = fsockopen ("whois.ripe.net",43,$errno,$errstr);
  if (!$sock)
  {
    echo("$errno($errstr)");
    exit();
  }
  else
  {
    fputs ($sock, $ip."\r\n");
    while (!feof($sock))
    {
      echo (str_replace(":",":&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",fgets ($sock,128))."<br>");
    }
  }
  fclose ($sock);
}
else
{
  ?>
  <title>Сервис не доступен</title>
  </head>
  <body>
  <p>Сервис не доступен</p>
  <?php
}
?>
</body>
</html>